# Gimp.Layer.scale

    @accepts(Gimp.Layer, int, int, bool)
    @returns(bool)
    def scale(self, new_width, new_height, local_origin):
        # Python wrapper for gimp_layer_scale()

Scale the layer using the default interpolation method.

This procedure scales the layer so that its new width and height are equal to the supplied parameters. The 'local-origin' parameter specifies whether to scale from the center of the layer, or from the image origin. This operation only works if the layer has been added to an image. The interpolation method used can be set with Gimp.context_set_interpolation.

self

  The layer.

new_width

  New layer width.

new_height

  New layer height.

local_origin

  Use a local origin (as opposed to the image origin).

Returns